package org.springblade.system.service;


import org.springblade.common.core.domain.AjaxResult;
import org.springblade.common.core.domain.entity.SystemConfig;
import org.springblade.common.core.domain.entity.SystemConfigVo;

import java.util.List;

/**
 * 参数配置 服务层
 *
 * @author bonus
 */
public interface ISystemConfigService {

    List<SystemConfigVo> listConfig();
    List<SystemConfig> list(SystemConfig config);

    AjaxResult add(SystemConfig config);

    AjaxResult update(SystemConfig config);

    AjaxResult del(SystemConfig config);

}
